## qasconfig 0.2.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


# Select a default build type

IF ( NOT CMAKE_BUILD_TYPE )
	SET ( CMAKE_BUILD_TYPE Release )
ENDIF ( NOT CMAKE_BUILD_TYPE )


# Program name

IF ( NOT PROGRAM_TITLE )
	SET ( PROGRAM_TITLE QasConfig )
ENDIF ( NOT PROGRAM_TITLE )

IF ( NOT PROGRAM_NAME )
	SET ( PROGRAM_NAME qasconfig )
ENDIF ( NOT PROGRAM_NAME )


# Program version

SET ( VERSION_MAJOR "0" )
SET ( VERSION_MINOR "2" )
SET ( VERSION_PATCH "0" )

SET ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )


#
# Installation directories
#

IF ( NOT INSTALL_DIR_BIN )
	SET ( INSTALL_DIR_BIN "bin" )
ENDIF ( NOT INSTALL_DIR_BIN )

IF ( NOT INSTALL_DIR_MAN )
	SET ( INSTALL_DIR_MAN "share/man/man1" )
ENDIF ( NOT INSTALL_DIR_MAN )

IF ( NOT INSTALL_DIR_DESKTOP )
	SET ( INSTALL_DIR_DESKTOP "share/applications" )
ENDIF ( NOT INSTALL_DIR_DESKTOP )


IF ( NOT INSTALL_DIR_DATA )
	SET ( INSTALL_DIR_DATA "share/${PROGRAM_NAME}" )
ENDIF ( NOT INSTALL_DIR_DATA )

IF ( NOT INSTALL_DIR_L10N )
	SET ( INSTALL_DIR_L10N "${INSTALL_DIR_DATA}/l10n" )
ENDIF ( NOT INSTALL_DIR_L10N )

IF ( NOT INSTALL_DIR_APP_ICONS )
	SET ( INSTALL_DIR_APP_ICONS "${INSTALL_DIR_DATA}/icons" )
ENDIF ( NOT INSTALL_DIR_APP_ICONS )


# Icon installation directories

IF ( NOT INSTALL_DIR_ICONS_PNG_16 )
	SET ( INSTALL_DIR_ICONS_PNG_16 "share/icons/hicolor/16x16/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_16 )

IF ( NOT INSTALL_DIR_ICONS_PNG_32 )
	SET ( INSTALL_DIR_ICONS_PNG_32 "share/icons/hicolor/32x32/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_32 )

IF ( NOT INSTALL_DIR_ICONS_PNG_48 )
	SET ( INSTALL_DIR_ICONS_PNG_48 "share/icons/hicolor/48x48/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_48 )

IF ( NOT INSTALL_DIR_ICONS_PNG_64 )
	SET ( INSTALL_DIR_ICONS_PNG_64 "share/icons/hicolor/64x64/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_64 )

IF ( NOT INSTALL_DIR_ICONS_SVG )
	SET ( INSTALL_DIR_ICONS_SVG "share/icons/hicolor/scalable/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_SVG )


# Installation

IF ( NOT SKIP_LICENSE_INSTALL )
	INSTALL( FILES "COPYING"
		DESTINATION ${INSTALL_DIR_DATA} )
ENDIF ( NOT SKIP_LICENSE_INSTALL )


# Process subdirectories

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( graphics )
ADD_SUBDIRECTORY ( share )
ADD_SUBDIRECTORY ( i18n )
ADD_SUBDIRECTORY ( doc )

=== i18n/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )

ADD_SUBDIRECTORY ( l10n )

=== share/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )


#
# Desktop file
#

SET ( desktop_file_src ${CMAKE_CURRENT_SOURCE_DIR}/application.desktop.cmake )
SET ( desktop_file     ${CMAKE_CURRENT_BINARY_DIR}/${PROGRAM_NAME}.desktop )

CONFIGURE_FILE ( ${desktop_file_src} ${desktop_file} )

INSTALL( FILES ${desktop_file}
	DESTINATION ${INSTALL_DIR_DESKTOP} )

=== src/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )

INCLUDE ( CheckIncludeFiles )

CONFIGURE_FILE (
	${CMAKE_CURRENT_SOURCE_DIR}/config.hpp.cmake
	${CMAKE_CURRENT_BINARY_DIR}/config.hpp )


SET ( SRC_GUI
	alsa.cpp
	tree_view_kv.cpp
	static_tree.cpp
	static_tree_model.cpp
	alsa_config_model.cpp
	alsa_config_view.cpp
	text_browser.cpp
	info_view.cpp
	main_window.cpp
	main.cpp
)


SET ( SRC_GUI_HEADER_MOC
	tree_view_kv.hpp
	alsa_config_model.hpp
	alsa_config_view.hpp
	info_view.hpp
	main_window.hpp
)


ADD_DEFINITIONS ( "-Wextra -Wunused -Wall" )

SET ( CMAKE_CXX_FLAGS_DEBUG "-O0 -g -DDEBUG -fno-inline" )
SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG -Wl,--as-needed" )


# Find modules

SET ( QT_USE_QTCORE TRUE )
SET ( QT_USE_QTGUI TRUE )
SET ( QT_USE_QTSVG TRUE )
SET ( QT_USE_QTNETWORK TRUE )

FIND_PACKAGE ( Qt4 4.6 REQUIRED )
FIND_PACKAGE ( ALSA REQUIRED )


# QT stuff

INCLUDE ( ${QT_USE_FILE} )

QT4_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
QT4_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )

INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_SOURCE_DIR} )
INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )

ADD_EXECUTABLE (
	${PROGRAM_NAME}
	${SRC_GUI}
	${SRC_GUI_MOC}
)

TARGET_LINK_LIBRARIES (
	${PROGRAM_NAME}
	${QT_LIBRARIES}
	${ALSA_LIBRARIES}
)


# Installation

INSTALL (
	TARGETS ${PROGRAM_NAME} RUNTIME
	DESTINATION ${INSTALL_DIR_BIN} )

=== doc/man/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED ( VERSION 2.8 )

# Find gzip
FIND_PACKAGE ( UnixCommands REQUIRED )

IF ( NOT GZIP )
	MESSAGE ( FATAL_ERROR "Unable to find 'gzip' program" )
ENDIF ( NOT GZIP )


# Configure manpages

SET ( man_src  ${CMAKE_CURRENT_SOURCE_DIR}/manpage.1.cmake )
SET ( man_plain ${CMAKE_CURRENT_BINARY_DIR}/manpage.1 )
SET ( man_gz ${CMAKE_CURRENT_BINARY_DIR}/manpage.1.gz )

CONFIGURE_FILE ( ${man_src} ${man_plain} )


# Compress manpages

ADD_CUSTOM_COMMAND (
	OUTPUT ${man_gz}
	COMMAND ${GZIP} -c -9 ${man_plain} > ${man_gz}
	DEPENDS ${man_plain}
	COMMENT "Building ${man_gz}" )

ADD_CUSTOM_TARGET (
	doc_manpage ALL
	DEPENDS ${man_gz} )


# Installation of the manpage

INSTALL ( FILES ${man_gz}
	DESTINATION ${INSTALL_DIR_MAN}
	RENAME ${PROGRAM_NAME}.1.gz )

=== debian/changelog ===
qasconfig (0.2.0-1) unstable; urgency=low

  * Initial public release (Closes: #645189)

 -- Sebastian Holtermann <sebholt@xwmw.org>  Thu, 13 Oct 2011 12:37:28 +0200

=== debian/control ===
Source: qasconfig
Section: sound
Priority: optional
Maintainer: Sebastian Holtermann <sebholt@xwmw.org>
Build-Depends: debhelper (>= 8), cmake, libasound2-dev, libqt4-dev
Standards-Version: 3.9.2
Homepage: http://xwmw.org/qasconfig

Package: qasconfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA configuration browser
 The configuration of the linux sound system ALSA 
 resides in a tree structure which is built by reading several 
 configuration files like /etc/asound.conf and ~/.asoundrc.
 QasConfig is a simple browser for this configuration tree
 and can help to analyze and debug an ALSA setup.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- -DSKIP_LICENSE_INSTALL=TRUE

=== debian/watch ===
version=3
http://sf.net/qasconfig/qasconfig[-_](.+)\.tar\.bz2
